<?php
/*
Plugin Name: WP-Smooth-Scroll
Plugin URI: http://shovon.info/wp/wp-smooth-scroll/
Description: WP-Smooth-Scroll is a plugin that helps users to scroll smoothly to top of the page.
Version: 1.0
Author: Ahmedur Rahman Shovon
Author URI: http://www.shovon.info
License: GPL2
*/
class wss {


	/*--------------------------------------------*
	 * Constants
	 *--------------------------------------------*/	 
	 
	const name = 'WP-Smooth-Scroll';
	const slug = 'WP-Smooth-Scroll';


	/*--------------------------------------------*
	 * Constructor
	 *--------------------------------------------*/

	function __construct() {

	    // Define constants used throughout the plugin
	    $this->init_plugin_constants();

	    // Define plugin url
		$plugins_url = plugins_url();
  
    	// Load JavaScript and stylesheets
    	$this->register_scripts_and_styles();

		// Plugin Actions	    
	    add_action( 'wp_footer', array( $this, 'display_link' ) );
	    
	} // end constructor


	/*--------------------------------------------*
	 * Core Functions
	 *---------------------------------------------*/


	function display_link() {
		$varme=get_option('wss_pos','rightbtt');
		//echo $varme;
		$htmlcode='<div id="wp-smooth-scroll" class="'.$varme.'" title="Back to top"></div>';
		echo $htmlcode;
	} 
	  	  
	/*--------------------------------------------*
	 * Private Functions
	 *---------------------------------------------*/
   
	// Initializes constants used for convenience throughout the plugin.
	private function init_plugin_constants() {

		if ( !defined( 'PLUGIN_NAME' ) ) {
		  define( 'PLUGIN_NAME', self::name );
		} 
		if ( !defined( 'PLUGIN_SLUG' ) ) {
		  define( 'PLUGIN_SLUG', self::slug );
		} 

	} // end init_plugin_constants

	// Registers and enqueues stylesheets
	private function register_scripts_and_styles() {
		if ( is_admin() ) {
			// no admin styes or scripts
		} else { 
			$this->load_file( self::slug . '-script', '/js/wp-smooth-scroll.js', true );
			$this->load_file( self::slug . '-style', '/css/wp-smooth-scroll.css' );
		} // end if/else
	} // end register_scripts_and_styles

	// Helper function for registering and enqueueing scripts and styles.
	private function load_file( $name, $file_path, $is_script = false ) {

		$url = plugins_url($file_path, __FILE__);
		$file = plugin_dir_path(__FILE__) . $file_path;

		if( file_exists( $file ) ) {
			if( $is_script ) {
				wp_register_script( $name, $url, array('jquery') );
				wp_enqueue_script( $name );
			} else {
				wp_register_style( $name, $url );
				wp_enqueue_style( $name );
			} // end if
		} // end if
    
	} // end load_file
  
  
} // end class
new wss();
add_action('admin_init', 'wss_reg_function');
add_action('admin_menu', 'myplugin_menu_pages');
function wss_reg_function() {
	register_setting( 'wss-settings-group', 'wss_pos' );
}

function check_right()
{
	$valofpos="rightbtt";
   	$varme=get_option('wss_pos');
	if($valofpos==$varme)
		echo "checked=\"checked\"";
}
function check_left()
{
	$valofpos="leftbtt";
   	$varme=get_option('wss_pos');
	if($valofpos==$varme)
		echo "checked=\"checked\"";
}
function check_mid()
{
	$valofpos="midbtt";
   	$varme=get_option('wss_pos');
	if($valofpos==$varme)
		echo "checked=\"checked\"";
}
function lbl_right()
{
	$valofpos="rightbtt";
   	$varme=get_option('wss_pos');
	if($valofpos==$varme)
		echo "style=\"color: black; font-weight:bold;\"";
}
function lbl_mid()
{
	$valofpos="midbtt";
   	$varme=get_option('wss_pos');
	if($valofpos==$varme)
		echo "style=\"color: black; font-weight:bold;\"";
}

function lbl_left()
{
	$valofpos="leftbtt";
   	$varme=get_option('wss_pos');
	if($valofpos==$varme)
		echo "style=\"color: black; font-weight:bold;\"";
}

function myplugin_menu_pages() {
    // Add the top-level admin menu
    $page_title = 'WP-Smooth-Scroll Settings';
    $menu_title = 'WP-Smooth-Scroll';
    $capability = 'manage_options';
    $menu_slug = 'WP-Smooth-Scroll-settings';
    $function = 'myplugin_settings';
    add_menu_page($page_title, $menu_title, $capability, $menu_slug, $function);

    // Add submenu page with same slug as parent to ensure no duplicates
    $sub_menu_title = 'Settings';
    add_submenu_page($menu_slug, $page_title, $sub_menu_title, $capability, $menu_slug, $function);

    // Now add the submenu page for Help
    $submenu_page_title = 'WP-Smooth-Scroll About';
    $submenu_title = 'About';
    $submenu_slug = 'WP-Smooth-Scroll-about';
    $submenu_function = 'myplugin_help';
    add_submenu_page($menu_slug, $submenu_page_title, $submenu_title, $capability, $submenu_slug, $submenu_function);
}

function myplugin_settings() {

    if (!current_user_can('manage_options')) {
        wp_die('You do not have sufficient permissions to access this page.');
    }

    // Render the HTML for the Settings page or include a file that does
    include_once('settingpage.php');
}

function myplugin_help() {

    if (!current_user_can('manage_options')) {
        wp_die('You do not have sufficient permissions to access this page.');
    }

    // Render the HTML for the Help page or include a file that does
    include_once('helppage.php');
}
?>